TabState should drop pending collections when docShells are swapped
Swapping docShells while we collect state in the background can most likely lead to interesting results. When docShells are swapped, the messages should probably time out but I think we should make sure to not cache those results.